# Geometry File Reference

`#include <osg/Drawable>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/Array>`
`#include <osg/PrimitiveSet>`

Include dependency graph for Geometry:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_GEOMETRY 1

## Functions

SG_EXPORT Geometry * | createTexturedQuadGeometry (const Vec3 &corner, const Vec3 &widthVec, const Vec3 &heightVec, float l, float b, float r, float t)
| Convenience function to be used for creating quad geometry with texture coords.
Geometry * | createTexturedQuadGeometry (const Vec3 &corner, const Vec3 &widthVec, const Vec3 &heightVec, float s=1.0f, float t=1.0f)
| Convenience function to be used for creating quad geometry with texture coords.

## Define Documentation

#define OSG_GEOMETRY 1

## Function Documentation

Geometry* createTexturedQuadGeometry | ( | const Vec3 & | corner,
|  | const Vec3 & | widthVec,
|  | const Vec3 & | heightVec,
|  | float | s = `1.0f`,
|  | float | t = `1.0f`
| ) | `[inline]`

| Convenience function to be used for creating quad geometry with texture coords. Tex coords go from bottom left (0,0) to top right (s,t).

Geometry * osg::createTexturedQuadGeometry | ( | const Vec3 & | corner,
|  | const Vec3 & | widthVec,
|  | const Vec3 & | heightVec,
|  | float | l,
|  | float | b,
|  | float | r,
|  | float | t
| ) |

| Convenience function to be used for creating quad geometry with texture coords. Tex coords go from left bottom (l,b) to right top (r,t).